package com.winhc.bigdata.udtf.judgment_doc.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;

import java.util.List;

/**
 * @Author: XuJiakai
 * 2023/10/25 18:02
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class PartyInfoEntity {
    private String title_original;
    private String title_std;
    private Integer show_level;
    private List<LitigantInfoEntity> party_info;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;

        if (o == null || getClass() != o.getClass()) return false;

        PartyInfoEntity partyInfoEntity = (PartyInfoEntity) o;

        return new EqualsBuilder().append(title_original, partyInfoEntity.title_original).append(title_std, partyInfoEntity.title_std).isEquals();
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder(17, 37).append(title_original).append(title_std).toHashCode();
    }
}
