package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang.StringUtils;

import static com.winhc.bigdata.udf.get_names.LABOR_DISPUTES_REASON;

/**
 * @Author: π
 * @Description: 劳动案由判断
 */
public class is_labor_reason extends UDF {


    public Boolean evaluate(String case_reason) {
        if (StringUtils.isBlank(case_reason)) {
            return false;
        }
        if (LABOR_DISPUTES_REASON.contains(case_reason)) {
            return true;
        }
        return false;
    }

    public static void main(String[] args) {
        String str1 = "人事争议";
        is_labor_reason dd = new is_labor_reason();
        System.out.println(dd.evaluate(str1));

    }
}
