package com.winhc.bigdata.udtf.judgment_doc.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: XuJiakai
 * 2024/5/22 16:31
 */
@Getter
@Setter
@AllArgsConstructor(staticName = "of")
@NoArgsConstructor
public class EsCompanyBaseCaseEntity extends BaseCaseInfo implements Serializable {

    private String company_id;
    private String company_name;
    private String industry_level1;
    private String industry_level2;
    private String industry_level3;
    private String industry_level4;
    private String company_province_code;
    private String company_city_code;
    private String company_district_code;
    private Double reg_capital;
    private String company_state;
    private String open_date;
    private List<String> company_type;

    private String is_success;
    private String case_role;

    private List<LawyerInfoEntity> lawyer_info;


    @Override
    public String getIndexName() {
        return "";
    }

    @Override
    public String get_id() {
        return getCompany_id() + "_" + getCase_id();
    }
}
