package com.winhc.bigdata.udtf.judgment_doc.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Author: XuJiakai
 * 2024/5/22 15:44
 */
@Getter
@Setter
@AllArgsConstructor(staticName = "of")
@NoArgsConstructor
public class EsLawyerBaseCaseEntity extends BaseCaseInfo implements Serializable {

    private String lawyer_name;
    private String base_lawyer_id;
    private String lawfirm;
    private String lawfirm_id;
    /**
     * 有后端lawyer_id用后端lawyer_id，无则用base_lawyer_id
     */
    private String lawyer_entity_id;
    private String province_code;
    private String city_code;
    private String district_code;
    private Integer first_career_year;

    private String is_success;
    private String is_credit;

    @Override
    public String getIndexName() {
        return "";
    }

    @Override
    public String get_id() {
        return getBase_lawyer_id() + "_" + getCase_id();
    }
}

