package com.winhc.bigdata.udtf.judgment_doc.entity;

import lombok.*;
import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;

import java.util.List;

/**
 * @Author: XuJiakai
 * 2024/5/22 9:52
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor(staticName = "of")
public class LitigantInfoEntity {

    private String litigant_id;
    private String judge_tendency;
    private String name;
    private List<LawyerInfoEntity> lawyer_info;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;

        if (o == null || getClass() != o.getClass()) return false;

        LitigantInfoEntity that = (LitigantInfoEntity) o;

        return new EqualsBuilder().append(litigant_id, that.litigant_id).append(judge_tendency, that.judge_tendency).append(name, that.name).append(lawyer_info, that.lawyer_info).isEquals();
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder(17, 37).append(litigant_id).append(judge_tendency).append(name).append(lawyer_info).toHashCode();
    }

}
